Bug 1326332

Summary: condor: Provide a Python 3 subpackage
Product: [Fedora] Fedora Reporter: Tomas Orsava <torsava>
Component: condorAssignee: Tim Theisen <tim>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: bbockelm, bcotton, Bert.Deknuydt, eerlands, matt, pviktori, tim
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: condor-8.8.4-1.fc29 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-10 06:31:04 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1285816    

Description Tomas Orsava 2016-04-12 12:55:39 UTC
avDescription of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Tomas Orsava 2016-04-12 12:57:24 UTC
Err, sorry for that:

Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 2 Petr Viktorin 2016-04-25 12:33:48 UTC
Hello Matt,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 3 Jan Kurik 2016-07-26 04:39:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Fedora Admin XMLRPC Client 2017-04-27 11:08:41 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora End Of Life 2017-11-16 18:59:18 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Brian Bockelman 2017-11-17 19:55:13 UTC
Hi,

So - while the plugins have technically _compiled_ with Python3 for awhile, it wasn't until very recent releases that they actually functioned.

Anyhow, that work is now done -- should we take the plunge and fixup the packaging too?

Brian

Comment 7 Tim Theisen 2017-11-18 13:57:38 UTC
Changing the version of this issue to rawhide to keep it active. Python 3 packaging will be addressed when the current HTCondor development version (8.7.x) is stabilized (version 8.8.0). (May 2018)

Comment 8 Fedora End Of Life 2018-02-20 15:29:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 9 Ben Cotton 2018-09-11 13:05:21 UTC
Changing the version to 'rawhide', since we'll want to land this in F30. Tim, when we get closer, we should submit a Change proposal for completeness sake.

Comment 10 Ben Cotton 2019-02-19 17:08:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30'.

Comment 11 Tim Theisen 2019-02-19 17:13:22 UTC
I'll be uploading HTCondor 8.8.1 this week. This version will be able to build working Python3 bindings with 1 small patch.

Comment 12 Petr Viktorin 2019-02-20 16:31:04 UTC
Since this bug was filed, python2 was deprecated in Fedora. If you can, please switch to Python 3, rather than supporting both.

Comment 13 Fedora Update System 2019-07-31 01:57:44 UTC
FEDORA-2019-f0f74bf64a has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f0f74bf64a

Comment 14 Fedora Update System 2019-08-01 05:33:35 UTC
condor-8.8.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f0f74bf64a

Comment 15 Fedora Update System 2019-08-10 06:31:04 UTC
condor-8.8.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.